package com.microservices.system.domain;

import com.microservices.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 部门下可选角色对象 sys_dept_role
 *
 * @author otto
 * @date 2023-04-12
 */
public class SysDeptRole extends BaseEntity {
    public SysDeptRole(Long deptId, Long roleId) {
        this.deptId = deptId;
        this.roleId = roleId;
    }

    private static final long serialVersionUID = 1L;

    /**
     * 部门ID
     */
    private Long deptId;

    /**
     * 角色ID
     */
    private Long roleId;

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public Long getRoleId() {
        return roleId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("deptId", getDeptId())
                .append("roleId", getRoleId())
                .toString();
    }
}
